reportProject
POST
/v1/projects/{project_id}/reports
const url = 'https://testnet-rpc.necter.network/v1/projects/example/reports';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"category":"scam","severity":"low","reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://testnet-rpc.necter.network/v1/projects/example/reports \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "category": "scam", "severity": "low", "reason": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
category
required
string
severity
required
string
reason
required
string
Responses
Section titled “Responses”Recorded
Media typeapplication/json
object
report_id
string
Example generated
{ "report_id": "example"}Missing/invalid credentials (unauthorized, session_expired, bad_signature)
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}rate_limited
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}Headers
Section titled “Headers”Retry-After
integer